Bug 103418 - ThreadedMessage.replyTo() throws NPE if there is no associated MessageThread
ThreadedMessage.replyTo() throws NPE if there is no associated MessageThread
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-29 18:09 EDT by Scott Seago
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 10:31:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Seago 2003-08-29 18:09:24 EDT
Description of problem:
ThreadedMessage.replyTo() throws NPE if there is no associated MessageThread. In
theory, this should not happen, as the afterSave() event of ThreadedMessage
should create the MessageThread. However, I ran into at least one case where
there were ThreadedMessage objects without a created thread. London change 35504
creates a MessageThread in ThreadedMessage.getThread() if none is found.

Note You need to log in before you can comment on or make changes to this bug.